# flutter_vid

##### This is a VID(VINNO Image Data) read/write library for flutter. 

Only support read VID file, not support write VID file. 
Carotid3D extended data is not support for now.
Only support CanvasKit engine while running on web.


## Getting Started

Add dependency in pubspec.yaml

```yaml
dependencies:
  flutter:
    sdk: flutter
  vid:  
    git:
      url: http://git.ius.plus:88/Project-Wing/flutter_vid
```

```dart
var imageData = new VidUsImageData(vidData.buffer.asUint8List());
var frameRate = imageData.probe.frameRate;
var vidImage = imageData.getImage(i);
var image = Image.memory(vidImage.imageData);
```

Now, support using async way downloading and playing images from remote vid file.

```dart
var vidData = HttpVidUsImageData('https://localhost/test.vid');
//Must call initialize before geting data from HttpVidUsImageData.
await vidData.initialize();
var frameRate = imageData.probe.frameRate;
var vidImage = await data.getImage(index);
var image = Image.memory(vidImage.imageData);
```